ApiConfigPolicy (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiConfigPolicy

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiConfigPolicy

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiConfigPolicy
      extends Object

  ApiConfigPolicy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiConfigPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiConfigPolicy` | `addConfigEnforcementsItem(ApiConfigEnforcement configEnforcementsItem)`
    `ApiConfigPolicy` | `configEnforcements(List<ApiConfigEnforcement> configEnforcements)`
    `ApiConfigPolicy` | `description(String description)`
    `boolean` | `equals(Object o)`
    `List<ApiConfigEnforcement>` | `getConfigEnforcements()` A list of configuration enforcements.
    `String` | `getDescription()` A human readable version of what this policy does.
    `String` | `getName()` The policy name.
    `String` | `getVersion()` The policy version.
    `int` | `hashCode()`
    `ApiConfigPolicy` | `name(String name)`
    `void` | `setConfigEnforcements(List<ApiConfigEnforcement> configEnforcements)`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setVersion(String version)`
    `String` | `toString()`
    `ApiConfigPolicy` | `version(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiConfigPolicy

          public ApiConfigPolicy()

  - ### Method Detail

    - #### name

          public ApiConfigPolicy name(String name)

    - #### getName

          public String getName()

      The policy name.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### version

          public ApiConfigPolicy version(String version)

    - #### getVersion

          public String getVersion()

      The policy version. Useful to differentiate different versions of the same policy. Optional
      Returns:
        version

    - #### setVersion

          public void setVersion(String version)

    - #### description

          public ApiConfigPolicy description(String description)

    - #### getDescription

          public String getDescription()

      A human readable version of what this policy does. Optional
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### configEnforcements

          public ApiConfigPolicy configEnforcements(List<ApiConfigEnforcement> configEnforcements)

    - #### addConfigEnforcementsItem

          public ApiConfigPolicy addConfigEnforcementsItem(ApiConfigEnforcement configEnforcementsItem)

    - #### getConfigEnforcements

          public List<ApiConfigEnforcement> getConfigEnforcements()

      A list of configuration enforcements.
      Returns:
        configEnforcements

    - #### setConfigEnforcements

          public void setConfigEnforcements(List<ApiConfigEnforcement> configEnforcements)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.